List bookings in a time window

GET
/meetings

Paginated. from/to are required. Use for "my bookings" screens, day timelines, payment-confirmation polling, and post-timeout reconciliation.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from POST /auth/accessToken

In: header

Query Parameters

from*string
Formatdate-time
to*string
Formatdate-time
projectId?string
meetingRoomId?string
meetingRoomIds?array<string>
deskId?string
deskIds?array<string>
organizerId?string
organizerEmails?array<string>
attendeeEmails?array<string>
statuses?array<>
limit?integer

Page size

Range0 <= value <= 3000
offset?integer

Items to skip

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/meetings?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z"
{  "code": "KS000",  "success": true,  "message": "string",  "data": [    {      "_id": "string",      "status": "unpaid",      "meetingRoomId": "string",      "meetingRoomName": "string",      "deskId": "string",      "title": "string",      "body": "string",      "startDateTime": "2019-08-24T14:15:22Z",      "endDateTime": "2019-08-24T14:15:22Z",      "pinCode": "string",      "organizer": {        "userId": "string",        "email": "string",        "name": "string",        "displayName": "string",        "checkInDateTime": "2019-08-24T14:15:22Z",        "checkOutDateTime": "2019-08-24T14:15:22Z"      },      "attendees": [        {          "userId": "string",          "email": "string",          "name": "string",          "type": "required",          "responseStatus": "accepted",          "checkInDateTime": "2019-08-24T14:15:22Z"        }      ],      "payment": {        "paymentId": "string",        "invoiceNo": "string",        "amount": 0,        "summary": {          "subtotal": 0,          "total": 0,          "discounts": [            {              "code": "string",              "value": "string",              "name": "string"            }          ]        },        "webPaymentUrl": "http://example.com",        "webPaymentQr": "string"      },      "paymentDueAt": "2019-08-24T14:15:22Z",      "bookedVia": "webview",      "bookedByUserId": "string",      "billingSummaries": [        {          "kind": "quote",          "payment_id": "string",          "amount": 0,          "total": 0,          "invoice_no": "string",          "status": "string",          "expiredAt": "2019-08-24T14:15:22Z"        }      ],      "histories": [        {          "action": "create",          "at": "2019-08-24T14:15:22Z",          "by": "string"        }      ],      "seriesMasterId": "string",      "occurrenceEventId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "limit": 0,    "offset": 0,    "total": 0  }}